You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cxf.apache.org by bi...@apache.org on 2007/12/07 18:59:31 UTC

svn commit: r602168 - in /incubator/cxf/trunk/distribution/src/main/release/bin: wsdl2js wsdl2js.bat

Author: bimargulies
Date: Fri Dec  7 09:59:27 2007
New Revision: 602168

URL: http://svn.apache.org/viewvc?rev=602168&view=rev
Log:
Add command-line wrappers for wsdl2js

Added:
    incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js   (with props)
    incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js.bat   (with props)

Added: incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js?rev=602168&view=auto
==============================================================================
--- incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js (added)
+++ incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js Fri Dec  7 09:59:27 2007
@@ -0,0 +1,75 @@
+#
+#
+#    Licensed to the Apache Software Foundation (ASF) under one
+#    or more contributor license agreements. See the NOTICE file
+#    distributed with this work for additional information
+#    regarding copyright ownership. The ASF licenses this file
+#    to you under the Apache License, Version 2.0 (the
+#    "License"); you may not use this file except in compliance
+#    with the License. You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing,
+#    software distributed under the License is distributed on an
+#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#    KIND, either express or implied. See the License for the
+#    specific language governing permissions and limitations
+#    under the License.
+#
+#
+#!/bin/sh
+# run the Apache CXF wsdl2js tool 
+#
+# Check for irritating 'operating systems'.
+cygwin=false;
+darwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  Darwin*) darwin=true
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
+           fi
+           ;;
+esac
+
+me=`basename $0`
+cxf_home=$CXF_HOME
+if [ ! -f  $cxf_home/lib/cxf-manifest-incubator.jar ]; then
+    cxf_home=`dirname $0`/..
+fi
+
+cxf_jar=$cxf_home/lib/cxf-manifest-incubator.jar
+
+if [ ! -f $cxf_jar ]; then 
+    if [ ! -f ${cxf_home}/../../target/srcbuild_env ]; then
+        echo "ERROR: Unable to find cxf-manifest-incubator.jar in $cxf_home/lib"
+        exit 1
+    else
+        . ${cxf_home}/../../target/srcbuild_env
+        cxf_jar=${CXF_CLASSPATH}
+    fi
+fi 
+
+log_config=$cxf_home/etc/logging.properties 
+if $cygwin; then
+  if [ "$OS" = "Windows_NT" ] && cygpath -m .>/dev/null 2>/dev/null ; then
+    format=mixed
+  else
+    format=windows
+  fi
+  cxf_classpath=`cygpath --$format "${cxf_jar}"`
+  if [ ! -z "${CLASSPATH}" ]; then
+    cxf_classpath=${cxf_classpath}\;`cygpath --$format --path "${CLASSPATH}"`
+  fi
+  log_config=`cygpath --$format "$log_config"`
+else
+   cxf_classpath=${cxf_jar}:${CLASSPATH}
+fi
+
+$JAVA_HOME/bin/java -cp ${cxf_classpath} -Djava.util.logging.config.file=$log_config org.apache.cxf.tools.wsdlto.javascript.WSDLToJavaScript "$@"
+
+
+
+
+

Propchange: incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js.bat
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js.bat?rev=602168&view=auto
==============================================================================
--- incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js.bat (added)
+++ incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js.bat Fri Dec  7 09:59:27 2007
@@ -0,0 +1,56 @@
+@echo off
+rem
+rem
+rem    Licensed to the Apache Software Foundation (ASF) under one
+rem    or more contributor license agreements. See the NOTICE file
+rem    distributed with this work for additional information
+rem    regarding copyright ownership. The ASF licenses this file
+rem    to you under the Apache License, Version 2.0 (the
+rem    "License"); you may not use this file except in compliance
+rem    with the License. You may obtain a copy of the License at
+rem
+rem    http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem    Unless required by applicable law or agreed to in writing,
+rem    software distributed under the License is distributed on an
+rem    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+rem    KIND, either express or implied. See the License for the
+rem    specific language governing permissions and limitations
+rem    under the License.
+rem
+rem
+
+rem 
+rem  invoke the Apache CXF wsdl2js tool
+rem 
+@setlocal
+
+if not defined CXF_HOME goto set_cxf_home
+                                                                                                                                                             
+:cont
+if not defined JAVA_HOME goto no_java_home
+
+if not exist "%CXF_HOME%\lib\cxf-manifest-incubator.jar" goto no_cxf_jar
+
+set CXF_JAR=%CXF_HOME%\lib\cxf-manifest-incubator.jar
+
+
+"%JAVA_HOME%\bin\java" -cp "%CXF_JAR%;%CLASSPATH%" -Djava.util.logging.config.file="%CXF_HOME%\etc\logging.properties" org.apache.cxf.tools.wsdlto.javascript.WSDLToJavaScript %*
+
+@endlocal
+
+goto end
+
+:no_cxf_jar
+echo ERROR: Unable to find cxf-manifest-incubator.jar in %cxf_home/lib
+goto end
+
+:no_java_home
+echo ERROR: Set JAVA_HOME to the path where the J2SE 5.0 (JDK5.0) is installed
+goto end 
+
+:set_cxf_home
+set CXF_HOME=%~dp0..
+goto cont
+
+:end

Propchange: incubator/cxf/trunk/distribution/src/main/release/bin/wsdl2js.bat
------------------------------------------------------------------------------
    svn:eol-style = native